# Copyright 2025 Wong Hoi Sing Edison <hswong3i@pantarei-design.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

%global debug_package %{nil}

%global source_date_epoch_from_changelog 0

Name: python-polib
Epoch: 100
Version: 1.2.0
Release: 1%{?dist}
BuildArch: noarch
Summary: A library to manipulate gettext files (po and mo files)
License: MIT
URL: https://github.com/izimobil/polib/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-setuptools

%description
polib is a library to manipulate, create, modify gettext files (pot, po
and mo files). You can load existing files, iterate through it's
entries, add, modify entries, comments or metadata, etc... or create new
po files from scratch.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
pip wheel \
    --no-deps \
    --no-build-isolation \
    --wheel-dir=dist \
    .

%install
pip install \
    --no-deps \
    --ignore-installed \
    --root=%{buildroot} \
    --prefix=%{_prefix} \
    dist/*.whl
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
fdupes -qnrps %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-polib
Summary: A library to manipulate gettext files (po and mo files)
Requires: python3
Provides: python3-polib = %{epoch}:%{version}-%{release}
Provides: python3dist(polib) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-polib = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(polib) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-polib = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(polib) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-polib
polib is a library to manipulate, create, modify gettext files (pot, po
and mo files). You can load existing files, iterate through it's
entries, add, modify entries, comments or metadata, etc... or create new
po files from scratch.

%files -n python%{python3_version_nodots}-polib
%license LICENSE
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-polib
Summary: A library to manipulate gettext files (po and mo files)
Requires: python3
Provides: python3-polib = %{epoch}:%{version}-%{release}
Provides: python3dist(polib) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-polib = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(polib) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-polib = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(polib) = %{epoch}:%{version}-%{release}

%description -n python3-polib
polib is a library to manipulate, create, modify gettext files (pot, po
and mo files). You can load existing files, iterate through it's
entries, add, modify entries, comments or metadata, etc... or create new
po files from scratch.

%files -n python3-polib
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-polib
Summary: A library to manipulate gettext files (po and mo files)
Requires: python3
Provides: python3-polib = %{epoch}:%{version}-%{release}
Provides: python3dist(polib) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-polib = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(polib) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-polib = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(polib) = %{epoch}:%{version}-%{release}

%description -n python3-polib
polib is a library to manipulate, create, modify gettext files (pot, po
and mo files). You can load existing files, iterate through it's
entries, add, modify entries, comments or metadata, etc... or create new
po files from scratch.

%files -n python3-polib
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
